MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025175Community[OCCT] OCCT:Modeling Algorithmspublic2014-08-20 17:442014-11-11 12:59
Reporterdrazmyslovich 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025175: BRepBuilderAPI_Sewing can crash if an edge without 3D curve is presented
DescriptionBRepBuilderAPI_Sewing implementation has several code pieces, where no check 3D curve existence is provided, but 3D curve is used. It can result in Access Violation exception.
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25175
Attached Files? file icon 3.igs (3,009,154 bytes) 2014-09-16 19:32

- Relationships

-  Notes
(0030950)
git (administrator)
2014-08-20 17:49

Branch CR25175 has been created by drazmyslovich.

SHA-1: b93a443af25db5ea2593268fef5ad5ebaa4d4874


This branch includes the following new commits:

       new b93a443 0025175: avoid unsafe 3D curve usages


Detailed log of new commits:

commit b93a443af25db5ea2593268fef5ad5ebaa4d4874
Author: razmyslovich
Date: Wed Aug 20 15:47:46 2014 +0200

    0025175: avoid unsafe 3D curve usages
(0030951)
drazmyslovich (developer)
2014-08-20 17:50

Fix is committed, please, review it
(0031186)
ifv (developer)
2014-08-29 14:10

Ok
(0031197)
git (administrator)
2014-08-29 16:52

Branch CR25175 has been updated forcibly by mkv.

SHA-1: 76e3a0f07be105c633336b71b77623c5c1207a8d
(0031233)
mkv (tester)
2014-09-01 17:12

Dear BugMaster,
Branch CR25175 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: 76e3a0f07be105c633336b71b77623c5c1207a8d

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 2 (2 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:


Testing on Linux:
occt component :
Total MEMORY difference: 353555028 / 353627656
Total CPU difference: 44995.900000000125 / 44814.669999999984
products component :
Total MEMORY difference: 109174132 / 109158944
Total CPU difference: 18491.95999999997 / 17204.64000000002

Testing on Windows:
occt component :
Total MEMORY difference: 241270192 / 241452652
Total CPU difference: 33687.59375 / 34905.625
products component :
Total MEMORY difference: 66470884 / 66471812
Total CPU difference: 10046.09375 / 10985.390625

There are no differences in images found by testdiff.
(0031234)
mkv (tester)
2014-09-01 17:12

Dear drazmyslovich,
Could you please write the prototype of test case for this issue and the shape for it.
(0031788)
drazmyslovich (developer)
2014-09-16 19:34

Dear mkv, I've attached an iges file, which fails to sew. Just import the file and perform sewing for all faces inside of the file.
(0031866)
git (administrator)
2014-09-18 15:47

Branch CR25175 has been updated by mkv.

SHA-1: 22a7835faac948343e15479b0f1607b9749ef6c3


Detailed log of new commits:

Author: mkv
Date: Thu Sep 18 15:47:31 2014 +0400

    Test case for issue CR25175

(0032417)
git (administrator)
2014-09-30 11:36

Branch CR25175 has been deleted by inv.

SHA-1: 22a7835faac948343e15479b0f1607b9749ef6c3

- Related Changesets
occt: master de10d8b1
Timestamp: 2014-09-18 11:53:05
Author: drazmyslovich
Committer: bugmaster
Details ] Diff ]
0025175: avoid unsafe 3D curve usages

Test case for issue CR25175
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug25175 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-20 17:44 drazmyslovich New Issue
2014-08-20 17:44 drazmyslovich Assigned To => ifv
2014-08-20 17:49 git Note Added: 0030950
2014-08-20 17:50 drazmyslovich Note Added: 0030951
2014-08-20 17:50 drazmyslovich Status new => resolved
2014-08-29 14:10 ifv Note Added: 0031186
2014-08-29 14:10 ifv Status resolved => reviewed
2014-08-29 15:33 mkv Assigned To ifv => mkv
2014-08-29 16:52 git Note Added: 0031197
2014-09-01 17:12 mkv Note Added: 0031233
2014-09-01 17:12 mkv Note Added: 0031234
2014-09-01 17:13 mkv Assigned To mkv => drazmyslovich
2014-09-01 17:13 mkv Status reviewed => feedback
2014-09-16 19:32 drazmyslovich File Added: 3.igs
2014-09-16 19:33 drazmyslovich Assigned To drazmyslovich => mkv
2014-09-16 19:34 drazmyslovich Note Added: 0031788
2014-09-18 15:47 git Note Added: 0031866
2014-09-18 15:48 mkv Test case number => bugs modalg_5(010) bug25175
2014-09-18 15:48 mkv Assigned To mkv => bugmaster
2014-09-18 15:48 mkv Status feedback => tested
2014-09-19 13:42 bugmaster Changeset attached => occt master de10d8b1
2014-09-19 13:42 bugmaster Status tested => verified
2014-09-19 13:42 bugmaster Resolution open => fixed
2014-09-30 11:36 git Note Added: 0032417
2014-11-11 12:44 user533 Fixed in Version => 6.8.0
2014-11-11 12:59 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker